/[suikacvs]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.8 by wakaba, Mon Sep 3 14:30:46 2007 UTC revision 1.12 by wakaba, Mon Nov 5 09:33:52 2007 UTC
# Line 7  Line 7 
7    padding: 0.5em 1em;    padding: 0.5em 1em;
8  }  }
9    
10  dt, strong {  dt, strong, th {
11    font-weight: bolder;    font-weight: bolder;
12    font-family: sans-serif;    font-family: sans-serif;
13  }  }
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106  #parse-errors dd, #document-errors dd, #error-description h3 {  #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130    #parse-errors dd, #document-errors dd, #error-description h3,
131    #result-para {
132    margin-left: 20px;    margin-left: 20px;
133    padding-left: 40px;    padding-left: 40px;
134    min-height: 32px;    min-height: 32px;
# Line 112  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
# Line 129  q:before, q:after { Line 163  q:before, q:after {
163    margin-right: 1em;    margin-right: 1em;
164  }  }
165    
166  #document-errors dd.should, #error-description .should h3 {  #document-errors dd.should, #error-description .should h3,
167    #result-para.SEE-RESULT, #levels-table #level-s th {
168    background-image: url(large-alert);    background-image: url(large-alert);
169  }  }
170    
171    #levels-table #level-w th {
172      background-image: url(large-info);
173    }
174    
175  #document-errors dd.unsupported {  #document-errors dd.unsupported {
176    margin-left: 60px;    margin-left: 60px;
177    border: red 0.2em solid;    border: red 0.2em solid;
178    padding: 0.5em;    padding: 0.5em;
179  }  }
180    
181  #document-errors dd.unsupported, #error-description .unsupported h3 {  #document-errors dd.unsupported, #error-description .unsupported h3,
182    #result-para.uncertain, #levels-table #level-unsupported th {
183    background-image: none;    background-image: none;
184  }  }
185    
186    #result-para.PASS {
187      background-image: url(ok);
188    }
189    
190  #nav-items {  #nav-items {
191    display: block;    display: block;
192    position: fixed;    position: fixed;
# Line 186  code { Line 230  code {
230    white-space: pre-wrap;    white-space: pre-wrap;
231  }  }
232    
233    .rfc2119 {
234      border-style: none;
235      text-transform: lowercase;
236      font-variant: small-caps;
237      font-style: normal;
238      text-decoration: none;
239      font-weight: normal;
240      font-family: sans-serif;
241    }
242    
243    #result-summary table {
244      margin-left: auto;
245      margin-right: auto;
246      border: 3px solid #800080;
247      border-collapse: collapse;
248    }
249    
250    #result-summary tbody, colgroup {
251      border: 3px solid #800080;
252    }
253    
254    #result-summary th {
255      background-color: #fff0f0;
256      color: black;
257    }
258    
259    #result-summary th, #result-summary td {
260      border: 1px solid #800080;
261      padding: 0.2em 0.5em;
262      text-align: center;
263      empty-cells: show;
264    }
265    
266    .uncertain td, p.uncertain, #level-unsupported, #level-unsupported th {
267      background-color: #e1e1ff;
268      color: black;
269    }
270    
271    .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
272      background-color: #ffcece;
273      color: black;
274    }
275    
276    .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
277      background-color: #e1e1ff;
278      color: black;
279    }
280    
281    .PASS, #level-w, #level-w th {
282      background-color: #ddffdd;
283      color: black;
284    }
285    
286    #result-para {
287      padding-top: 0.2em;
288      padding-bottom: 0.2em;
289      padding-right: 1em;
290    }
291    
292    /* dl.switch from WHATWG specification style sheet */
293    
294    dl.switch {
295      padding-left: 2em;
296    }
297    
298    dl.switch dt {
299      display: block;
300      text-indent: -1.5em;
301      font-weight: bolder;
302      font-family: sans-serif;
303      font-style: normal;
304    }
305    
306    dl.switch dt:before {
307      content: '\21AA';
308      padding: 0 0.5em 0 0;
309      display: inline-block;
310      width: 1em;
311      text-align: right;
312      line-height: 0.5em;
313    }
314    
315    dl.switch dt:after {
316      content: " :";
317    }
318    
319  /*  /*
320    
321  Copyright 2007 Wakaba <[email protected]>  Copyright 2007 Wakaba <[email protected]>.
322    
323  This library is free software; you can redistribute it  This library is free software; you can redistribute it
324  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.8  
changed lines
  Added in v.1.12

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24